Valutazione 4.87/ 5 (100.00%) 5838 voti

Condividi:        

Problema installazione Apache Tomcat

Problemi di HTML? Di PHP, ASP, .NET, JSP, Perl, SQL, JavaScript, Visual Basic..?
Vuoi realizzare programmi in C, C++, Java, Ruby o Smalltalk, e non sai da che parte cominciare?
Entra qui e troverai le risposte!

Moderatori: Triumph Of Steel, archimede

Problema installazione Apache Tomcat

Postdi Swalke » 27/09/06 23:30

Ciao a tutti.
Devo installare tomcat su un sistema con windows xp.

L'istallazione di tomcat mi si blocca a questo punto:

Using Jvm: C:\Programmi\Java\jdk1.5.0_07\jre\bin\server\jvm.dll

Vedi immagine per maggiori dettagli a questo indirizzo:
http://img269.imageshack.us/img269/5696/tomcatpv2.jpg

Qualcuno sa da cosa dipende?
Avatar utente
Swalke
Hardware Admin
 
Post: 820
Iscritto il: 26/10/01 01:00
Località: Milano

Sponsor
 

Postdi v.varriale » 28/09/06 12:56

Hai controllato se in quel path esiste quel file?!?

Nel caso ci sia ti suggerirei di installare una versione diversa di jdk.
v.varriale
Utente Junior
 
Post: 41
Iscritto il: 13/04/06 12:33
Località: NAPOLI

Postdi Swalke » 28/09/06 14:25

Si, il file esiste.

HO già provato a reinstallare la versione precedente di jdk e anche di tomcat ma il problema è sempre lo stesso. :cry:

...sono nella cacca... :-?
Avatar utente
Swalke
Hardware Admin
 
Post: 820
Iscritto il: 26/10/01 01:00
Località: Milano

Postdi Swalke » 28/09/06 17:50

Ho installato tomcat 4.1 ed ha funzionato.

Solo che devo lavorare con struts e i web services...

...posso accontentarmi di tomcat 4.1?
Avatar utente
Swalke
Hardware Admin
 
Post: 820
Iscritto il: 26/10/01 01:00
Località: Milano

Postdi v.varriale » 28/09/06 21:15

certo, va bene anche tomcat 4.1
v.varriale
Utente Junior
 
Post: 41
Iscritto il: 13/04/06 12:33
Località: NAPOLI

Postdi Swalke » 29/09/06 07:54

Ho letto che per i web services occorre la 5. :D

Una domanda al volo:
se invece di usare l'installer uso la versione zippata da scompattare, ovviamente non avrei il problema all'installazione. Ma dici che le mie applicazioni funzionerebbero?
Avatar utente
Swalke
Hardware Admin
 
Post: 820
Iscritto il: 26/10/01 01:00
Località: Milano

Postdi v.varriale » 29/09/06 08:01

io lavoro tranquillamente con i servizi web con la versione 4.1
quindi perchè non utilizzi quella?!?!
v.varriale
Utente Junior
 
Post: 41
Iscritto il: 13/04/06 12:33
Località: NAPOLI

Postdi Mone » 05/10/06 16:13

Swalke ha scritto:Ho letto che per i web services occorre la 5. :D

Una domanda al volo:
se invece di usare l'installer uso la versione zippata da scompattare, ovviamente non avrei il problema all'installazione. Ma dici che le mie applicazioni funzionerebbero?


Funzionare funzionano, il software è lo stesso. Io preferisco la versione zip, però hai la paranoia di farti tutti i settaggi a mano.
Avatar utente
Mone
Utente Senior
 
Post: 343
Iscritto il: 21/10/03 19:44
Località: Zion

Postdi ventus85 » 10/11/06 18:53

Anche a me si incanta in quel punto come ad Swalke.
Mi dite per bene il procedimento per installarlo, in quale eventuale cartella metterlo?
Mi servirebbe la v.5, per questo vi chiedo se è possibile farlo...
Grazie!
Avatar utente
ventus85
Utente Senior
 
Post: 327
Iscritto il: 05/07/06 09:36

Struts + iBatis

Postdi infinito1971 » 14/11/06 11:26

Ciao a tutti,
spero che siate riusciti a risolvere i vostri problemi d'installazione di Apache... :) (personalmente, l'installazione non mi ha dato problemi, per cui non so il motivo per cui vi si è presentato l'inconveniente...).
Detto ciò, volevo dire che anch'io, come Swalke, mi sono trovato ad utilizzare (per lavoro) il framework Struts e devo dire che l'ho trovato a dir poco eccellente... soprattutto se lo si accoppia ad iBatis (un framework opensource, come Struts, che permette il mappaggio delle tabelle di un db con gli oggetti Java). Lo consiglio vivamente e mi piacerebbe scambiare pareri ed opinioni sull'argomento.
Inoltre, a livello hobbystico e per quel poco di tempo che mi rimane a disposizione, oltre la normale vita familiare da neo-sposo, ho iniziato ad utilizzare di recente il framework Ruby on Rails (anch'esso come Struts adotta il modello MVC) che si basa sul nuovo linguaggio di programmazione Ruby che trovo davvero interessante e che ben promette per il futuro...
Il bello di rails è che ogni volta che si crea una nuova applicazione, viene messo a disposizione un webserver (WEBrick); per cui non è neanche richiesta l'installazione di uno apposito...
Come già detto, quindi, mi piacerebbe scambiare opinioni in merito a tali nuove tecnologie...

Un saluto,
infinito1971
Questo business è binario: o sei 1 o sei 0, vivo o morto, non esistono secondi classificati!
Avatar utente
infinito1971
Utente Senior
 
Post: 531
Iscritto il: 01/08/02 21:22
Località: Napoli

Re: Struts + iBatis

Postdi ventus85 » 14/11/06 16:24

infinito1971 ha scritto:Ciao a tutti,
spero che siate riusciti a risolvere i vostri problemi d'installazione di Apache... :)

In verità no... :cry: :cry:
Avatar utente
ventus85
Utente Senior
 
Post: 327
Iscritto il: 05/07/06 09:36

Tomcat

Postdi infinito1971 » 15/11/06 13:08

Ciao ventus,
la versione che ho installato io è la 5.5... tu con quale hai provato?? :roll:
Questo business è binario: o sei 1 o sei 0, vivo o morto, non esistono secondi classificati!
Avatar utente
infinito1971
Utente Senior
 
Post: 531
Iscritto il: 01/08/02 21:22
Località: Napoli

Re: Tomcat

Postdi ventus85 » 16/11/06 17:03

infinito1971 ha scritto:Ciao ventus,
la versione che ho installato io è la 5.5... tu con quale hai provato?? :roll:


Tutte le versioni 5.* non si installano, la 4.* si, ma a me serve la 5.
:cry: :cry:
Avatar utente
ventus85
Utente Senior
 
Post: 327
Iscritto il: 05/07/06 09:36

riscrivo il mio problema

Postdi ventus85 » 18/11/06 10:13

Riscrivo il mio problema...
C'è qualcuno che mi può spiegare per bene come fare ad installare Apache TomCat v.5.* ???
Per favore, mi potete spiegare tutte le operazioni da fare per l'installazione?
Mi serve assolutamente questa versione per esercitarmi per un esame (poiché devo usare il deploy e il container).
L'errore che mi dà è il seguente: quando faccio partire l'Installer (una qualsiasi versione dalla 5 in poi) ad un certo punto si incanta, precisamente quando ho la scritta “Using Jvm: C:\Programmi\Java\jre1.5.0_08\bin\client\jvm.dll” (in show details questa è la voce che è dopo la voce “Remove folder: C:\DOCUME~1\utente\IMPOST~1\Temp\confinstall” ).
Nel task manager me lo da però in esecuzione ma non va avanti e l'installazione si incanta a quel punto.
Le versioni prima (per es. la 4.1) invece non si incantano lì, però io volevo una v.5.
Come posso fare?
Se invece scarico dal sito la versione zippata, ho provato a lanciare i file .bat che sono dentro la cartella bin, ma non so quali sono da lanciare né in quale ordine e soprattutto poi dopo non so come andare avanti, per esempio se c'è da creare dei file, da spostarli e cos' via.
Ho girato su Internet ma non sono riuscita a trovare una soluzione adeguata, si vede che sono imbranata io.
Vi chiedo una mano, help!!!!
Grazie già in anticipo...
Avatar utente
ventus85
Utente Senior
 
Post: 327
Iscritto il: 05/07/06 09:36

Problema con Apache

Postdi infinito1971 » 24/11/06 09:24

L'unica cosa che mi viene in mente rileggendo il problema che hai riscontrato è legato alle variabili d'ambiente... controlla che siano settate correttamente; ad esempio, inizia col controllare che in path ci sia il percorso: C:\Program Files\Java\jdk1.5.0_08\bin;
Vorrei davvero cercare di risolvere questo problema, anche perché può essere d'aiuto anche a molti altri utenti.
Tienimi aggiornato.

Un saluto,
infinito1971
Questo business è binario: o sei 1 o sei 0, vivo o morto, non esistono secondi classificati!
Avatar utente
infinito1971
Utente Senior
 
Post: 531
Iscritto il: 01/08/02 21:22
Località: Napoli

Postdi ventus85 » 24/11/06 14:53

Il path è giusto...
Dimmi un po' per queste variabili d'ambiente, che me ne hanno dette tante che alla fine sono convinta di aver fatto casino...
Grazie...speriamo, mi serve per l'esame... :cry:
Avatar utente
ventus85
Utente Senior
 
Post: 327
Iscritto il: 05/07/06 09:36

Postdi infinito1971 » 26/11/06 16:46

Ciao ventus, bentrovata,
in merito a quanto chiedi:
Dimmi un po' per queste variabili d'ambiente, che me ne hanno dette tante che alla fine sono convinta di aver fatto casino...

Si tratta di andare nel pannello di controllo e selezioanre la voce Sistema.
Poi portarsi nel tab "Avanzate" e clickare sul pusante "Variabili d'Ambiente"; dopodiché bisogna controllare che la variabile d'ambiente del Sistema Path (visualizzata nella parte inferiore) contenga al suo interno il percorso: C:\Program Files\Java\jdk1.5.0_08\bin;
Spero di essere stato chiaro ed aspetto un tuo feedback in merito.

Un saluto,
infinito1971
Questo business è binario: o sei 1 o sei 0, vivo o morto, non esistono secondi classificati!
Avatar utente
infinito1971
Utente Senior
 
Post: 531
Iscritto il: 01/08/02 21:22
Località: Napoli

Postdi ventus85 » 27/11/06 08:40

Ah, ok...avevo già controllato...ne ho due (separati da ;), il secondo è proprio quello...Pensavo che ci fosse da sistemare qualcos'altro... :cry:
Ma secondo voi posso trovare qualche programma simile al Tomcat, cioè che possa usare come contenitore per la applicazione e fare il deploy nella stessa maniera?
Oppure nella versione 4 come si fa a usarlo il contenitore? la grafica e l'uso è tutto differente...

:cry: :x :( :evil:
Avatar utente
ventus85
Utente Senior
 
Post: 327
Iscritto il: 05/07/06 09:36

Postdi ventus85 » 27/11/06 08:46

Ma definire altre variabili tipo JAVA_HOME oppure CATALINA_HOME? Lì cosa dovrei mettere se dovessi definirle?
Bah, in teoria l'installer dovrebbe fare tutto da solo...
:(
Avatar utente
ventus85
Utente Senior
 
Post: 327
Iscritto il: 05/07/06 09:36

Postdi infinito1971 » 27/11/06 12:36

Puoi provare a settare JAVA_HOME=C:\Program Files\Java\jdk1.5.0_08
Escluderei CATALINA_HOME in quanto dovrebbe essere settata dall'installatore stesso.
Fammi sapere.

Ciao,
infinito1971
Questo business è binario: o sei 1 o sei 0, vivo o morto, non esistono secondi classificati!
Avatar utente
infinito1971
Utente Senior
 
Post: 531
Iscritto il: 01/08/02 21:22
Località: Napoli

Prossimo

Torna a Programmazione


Topic correlati a "Problema installazione Apache Tomcat":

Problema Windows 10
Autore: asso1998
Forum: Software Windows
Risposte: 1

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti